#!/bin/ksh

#
# This script will receive an email with a formatted Subject line (created by
# spamAssassinNotify.ksh) and create a file that will be used by
# spamAssassinRequestCron.ksh.
#
# The script receives an email from the following email alias:
# 	spam.request:"|/usr/local/bin/spamAssassinRequest.ksh"
#
# Email arrives with the following format for the Subject line
#
# 	Subject: email address:email ID:MailScanner quarantine date
#
# In the awk statement: $1=H??Subject
#                       $2=email address
#                       $3=email ID
#                       $4=MailScanner quarantine date
#
# Pull out the above information and send it to a file.  The existence of this
# file will be checked every 15 minutes by spamAssassinRequestCron.ksh
#

grep -i Subject | awk -F':' '{print $2, $3, $4}' | while read emailID emp_email spamdate; do

   print "$emailID|$emp_email|$spamdate" >> /var/spool/MailScanner/spamAssassin.request

done
